FUNCTION poptell
PARAMETERS p_mess, s_row, s_col, wait_time
PRIVATE p_mess, s_row, s_col, wait_time, mess_len
PRIVATE m_key

***  Function pops a message on the screen for a 
***  specified number of seconds.

***  Are the parameters passed properly?

IF type('p_mess') = 'C' .and. ;
   type('s_row') = 'N'  .and. ;
   type('s_col') = 'N'  .and. ;
   type('wait_time') = 'N'

***  Does window fit on the screen?

  mess_len = len(p_mess)
  s_row = min(s_row,20)
  s_col = min(74-mess_len,s_col)

***  do it!

  DEFINE WINDOW p_tel FROM s_row, s_col ;
                TO s_row+4,s_col+mess_len+5 ;
                DOUBLE
  ACTIVATE WINDOW p_tel

  @ 1,2 SAY p_mess
  m_key = inkey(wait_time)
  RELEASE WINDOW p_tel

  RETURN(upper(chr(m_key)))
ELSE
  RETURN('')
ENDIF

********  EOP poptell


